Bug 1257519 - Can access "createProject" page when user is not signed in
Can access "createProject" page when user is not signed in
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Management Console (Show other bugs)
3.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Samuel Padgett
Wei Sun
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-27 05:08 EDT by weiwei jiang
Modified: 2016-10-30 18:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 16:14:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description weiwei jiang 2015-08-27 05:08:47 EDT
Description of problem
User who is not signed in can access "create project" page.

Version-Release number of selected component (if applicable):
devenv-fedora_2224

How reproducible:
always

Steps to Reproduce:
1. Make sure user is not signed in
2. Try to access the "create project" page(/console/createProject)
3. 

Actual results:
2. User can access the page.

Expected results:
The page should redirect to the login page.

Additional info:
Comment 1 Jordan Liggitt 2015-08-27 09:44:01 EDT
Create project controller is missing withUser call
Comment 2 Samuel Padgett 2015-09-04 15:12:30 EDT
https://github.com/openshift/origin/pull/4539
Comment 3 weiwei jiang 2015-09-06 23:08:28 EDT
Checked with devenv-fedora_2291, and can not reproduce this issue.

Note You need to log in before you can comment on or make changes to this bug.